curl --request GET \
--url https://api.togai.com/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "inv.hkgkgyh.ghg",
"sequenceId": "2020-07-2958",
"customerId": "7VcRw9xZDIqsC5E",
"ownerId": "ACC001",
"usageInfo": [
{
"description": "rides - local",
"type": "USAGE_METER_USAGE",
"value": 15,
"units": "USAGE_UNITS"
},
{
"description": "rides - pro",
"type": "USAGE_METER_USAGE",
"value": 5,
"units": "USAGE_UNITS"
}
],
"revenueInfo": {
"description": "Grand Total Amount",
"type": "GRAND_TOTAL_AMOUNT",
"units": "USD",
"value": 881.94,
"lineItems": [
{
"description": "Total Amount",
"type": "TOTAL_AMOUNT",
"units": "USD",
"value": 881.94,
"lineItems": [
{
"description": "Total amount due",
"type": "NET_AMOUNT",
"units": "USD",
"value": 881.94,
"lineItems": [
{
"description": "Sum Total",
"type": "GROSS_AMOUNT",
"units": "USD",
"value": 981.94,
"lineItems": [
{
"description": "Payout_NEFT",
"type": "USAGE_RATE_CARD_AMOUNT",
"units": "USD",
"value": 392.1,
"lineItems": [
{
"description": "Slab 1",
"type": "USAGE_RATE_CARD_SLAB_AMOUNT",
"valuePerQuantity": 0.001,
"quantity": 10000,
"units": "USD",
"value": 10
},
{
"description": "Slab 2",
"type": "USAGE_RATE_CARD_SLAB_AMOUNT",
"valuePerQuantity": 0.001,
"quantity": 10000,
"units": "USD",
"value": 10
}
]
},
{
"description": "Payout IMPS",
"type": "USAGE_RATE_CARD_AMOUNT",
"valuePerQuantity": 0.001,
"quantity": 32109,
"units": "USD",
"value": 589.94,
"lineItems": [
{
"description": "Slab 1",
"type": "USAGE_RATE_CARD_SLAB_AMOUNT",
"valuePerQuantity": 0.001,
"quantity": 10000,
"units": "USD",
"value": 10
},
{
"description": "Slab 2",
"type": "USAGE_RATE_CARD_SLAB_AMOUNT",
"valuePerQuantity": 0.001,
"quantity": 10000,
"units": "USD",
"value": 10
}
]
}
]
}
]
}
]
}
]
},
"invoiceDetails": {
"customer": {
"name": "John Doe",
"primaryEmail": "john@togai.com",
"address": {
"line1": "2281 Broadway Street",
"line2": "G-31",
"postalCode": "29501",
"city": "Florence",
"state": "South Carolina",
"country": "US"
}
},
"account": {
"name": "Togai",
"address": {
"line1": "2281 Broadway Street",
"line2": "G-31",
"postalCode": "29501",
"city": "Florence",
"state": "South Carolina",
"country": "US"
},
"primaryEmail": "john@togai.com",
"invoiceCurrency": "USD"
},
"pricePlanName": "Togai Basic"
},
"totalAmount": 881.94,
"paidAmount": 0,
"invoiceClass": "INVOICE",
"invoiceType": "STANDARD",
"status": "DUE",
"finalizingStatus": "FINALIZED",
"startDate": "2020-07-04T12:00:00.000Z",
"endDate": "2020-08-04T12:00:00.000Z",
"invoiceDate": "2020-08-04T12:00:00.000Z",
"generatedAt": "2020-08-04T12:00:00.000Z",
"updatedAt": "2020-08-04T12:00:00.000Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Get an invoice
Get invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"ACC001"
Response
Response for Get invoice requests
Structure of invoice
Identifier of invoice
50Status of the invoice
DRAFT, DUE, PAID, VOID, UN_COLLECTIBLE, REFUND_INITIATED, REFUND_COMPLETED, MERGED, PARTIALLY_PAID "DUE"
Represents the class of entity( INVOICE/ORDER/BILLABLE)
INVOICE, ORDER, BILLABLE "INVOICE"
Represents the type of entity(STANDARD/AD_HOC/COMPOSITE)
STANDARD, AD_HOC, CUSTOM, COMPOSITE, STANDARD_ADVANCED, ADHOC_ADVANCED Invoice date of the invoice
"2020-07-04T12:00:00.000Z"
Number of days from the invoice date after which an invoice is considered overdue.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
FINALIZING, FINALIZED true
Start date of the invoice
"2020-07-04T12:00:00.000Z"
End date of the invoice
"2020-07-04T12:00:00.000Z"
Inclusive end date of the invoice
"2020-07-03T11:59:59.999Z"
Due date of the invoice
"2020-07-04T12:00:00.000Z"
Show child attributes
Show child attributes
Sequence id of the invoice
Download URL of the pdf file corresponding to the invoice
